Bug 160514 - NumberFormatException: For input string: "09-3-8 ??6:43"
NumberFormatException: For input string: "09-3-8 ??6:43"
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: SQL Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 05:33 UTC by wsy_
Modified: 2009-09-18 22:33 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.22 KB, text/plain)
2009-03-18 05:33 UTC, wsy_
Details
stacktrace (3.22 KB, text/plain)
2009-03-20 12:08 UTC, mithridates
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wsy_ 2009-03-18 05:33:15 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments:
samwang: In SQL Command window, when I click the "SQL History" Button, no any else display, but pop up the report problem window.

GUEST: Hitting "SQL-History"-Button in SQL-Command window



Stacktrace: 
java.lang.NumberFormatException: For input string: "09-3-8 ??6:43"
        at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
        at java.lang.Long.parseLong(Long.java:412)
        at java.lang.Long.<init>(Long.java:671)
        at org.netbeans.modules.db.sql.history.SQLHistoryPersistenceManager$Handler.startElement(SQLHistoryPersistenceManager.java:489)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.startElement(AbstractSAXParser.java:501)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanStartElement(XMLDocumentFragmentScannerImpl.java:1359)
Comment 1 wsy_ 2009-03-18 05:33:20 UTC
Created attachment 78342 [details]
stacktrace
Comment 2 Jesse Glick 2009-03-18 16:55:19 UTC
If you are unsure which component to use when filing an issue, please use 'ide' and it will be reassigned for you.
Comment 3 mithridates 2009-03-20 12:08:46 UTC
Build: NetBeans IDE 6.5.1 (Build 200903060201)
VM: Java HotSpot(TM) Client VM, 10.0-b23, Java(TM) SE Runtime Environment, 1.6.0_07-b06
OS: Linux, 2.6.16.60-0.34-smp, i386

User Comments: 
Clicking on SQL-History button in SQL-Command-Window

Stacktrace: 
java.lang.NumberFormatException: For input string: "09.12.08 14:51"
        at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
        at java.lang.Long.parseLong(Long.java:412)
        at java.lang.Long.<init>(Long.java:671)
        at org.netbeans.modules.db.sql.history.SQLHistoryPersistenceManager$Handler.startElement(SQLHistoryPersistenceManager.java:489)
        at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.startElement(AbstractSAXParser.java:501)
        at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanStartElement(XMLDocumentFragmentScannerImpl.java:1359)
Comment 4 mithridates 2009-03-20 12:08:56 UTC
Created attachment 78510 [details]
stacktrace
Comment 5 Jiri Rechtacek 2009-07-01 07:44:21 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 6 Jiri Skrivanek 2009-09-14 14:26:44 UTC
Fixed.
http://hg.netbeans.org/core-main/rev/e3516b24f573
Comment 7 Quality Engineering 2009-09-18 22:33:58 UTC
Integrated into 'main-golden', will be available in build *200909181401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e3516b24f573
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #160514 - Catch NumberFormatException for previously stored date in string format.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo